Page MenuHome

Copy and Paste UV Coordinate (Update to v3.0)
AbandonedPublic

Authored by Nutti (Nutti) on May 21 2015, 3:33 PM.

Details

Reviewers
None
Summary

Update blender add-on "Copy and Paste UV Coordinate" to v3.0.
Before committing to blender's repository, this add-on should be reviewed.

I rewrote almost all codes because many new features are added in this version.
So, please excuse my big patch.

Add-on Wiki page: http://wiki.blender.org/index.php/Extensions:2.6/Py/Scripts/UV/Copy_Paste_UVs
D.B.O: https://developer.blender.org/T38460

Diff Detail

Event Timeline

Nutti (Nutti) retitled this revision from to Copy and Paste UV Coordinate (Update to v3.0).May 21 2015, 3:33 PM
Nutti (Nutti) updated this object.
Nutti (Nutti) set the repository for this revision to rBAC Blender Add-ons Contrib.
Nutti (Nutti) added a project: Add-ons.
Nutti (Nutti) added a subscriber: Nutti (Nutti).
Nutti (Nutti) updated this revision to Diff 4271.
Campbell Barton (campbellbarton) requested changes to this revision.
Campbell Barton (campbellbarton) added inline comments.
uv_copy_and_paste_uv/cpuv_transfer_uv_operation.py
50–51

This is going to get very slow! - use list.sort(key=sort_function) instead.

uv_copy_and_paste_uv/cpuv_uvmap_operation.py
23

Import explicit members - pep8 and generally better practice. All other * imports too.

74

No need to use bpy.context when context arg is passed (elsewhere too).

105–114

Rather not include large blocks in try/except.

uv_copy_and_paste_uv/debug.py
1–15

Wouldn't commit this.

This revision now requires changes to proceed.May 29 2015, 8:56 AM
Nutti (Nutti) edited edge metadata.May 29 2015, 5:23 PM
Nutti (Nutti) updated this revision to Diff 4328.

Thanks for your review.
I fixed problems you commented.

  • This is going to get very slow! - use list.sort(key=sort_function) instead.

Function sort_faces filters array rather than sorts array.
So, I fixed this problem using list comprehension.

Sergey Sharybin (sergey) added inline comments.
uv_copy_and_paste_uv/cpuv_transfer_uv_operation.py
57

You can stop iterating right here. Or maybe even s.indices == d.indices will work?

66

This is a bit worrying thing. You're doing some nested looping in here.

It seems it at least worth avoiding string comparison of strategy on every iteration?

Campbell Barton (campbellbarton) requested changes to this revision.

Thanks for your review.
I fixed problems you commented.

  • This is going to get very slow! - use list.sort(key=sort_function) instead.

Function sort_faces filters array rather than sorts array.
So, I fixed this problem using list comprehension.

Then it should be called filter_faces or similar.

This revision now requires changes to proceed.Jun 10 2015, 10:30 AM
Nutti (Nutti) edited edge metadata.Jun 10 2015, 3:27 PM
Nutti (Nutti) updated this revision to Diff 4374.

Thanks.

I fixed problem you commented.
Please confirm this revision.

@Nutti (Nutti) What is the state of this revision after the inclusion of Magic UV? Could this be closed? Thanks.

Nutti (Nutti) abandoned this revision.Oct 10 2017, 4:02 PM

Yes, this revision is solved.
so, i will abandon this revision.

thanks